HUGO-MOD-INIT(1)

NAME

hugo-mod-init - Initialize this project as a Hugo Module.

SYNOPSIS

hugo mod init [flags] [args]

DESCRIPTION

Initialize this project as a Hugo Module.
    It will try to guess the module path, but you may help by passing it as an argument, e.g:
    	hugo mod init github.com/gohugoio/testshortcodes
    Note that Hugo Modules supports multi-module projects, so you can initialize a Hugo Module
    inside a subfolder on GitHub, as one example.

OPTIONS

-b, --baseURL=""
    hostname (and path) to the root, e.g. https://spf13.com/

--cacheDir=""
    filesystem path to cache directory

-c, --contentDir=""
    filesystem path to content directory

-h, --help[=false]
    help for init

--renderSegments=[]
    named segments to render (configured in the segments config)

-t, --theme=[]
    themes to use (located in /themes/THEMENAME/)

OPTIONS INHERITED FROM PARENT COMMANDS

--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--quiet[=false]
    build in quiet mode

-M, --renderToMemory[=false]
    render to memory (mostly useful when running the server)

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

SEE ALSO

hugo-mod(1)